<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions">
	<h1>
		<small>Condição de Pagamento</small>
	</h1>
	<p:tabView id="tabMeioPagamento">
		<p:tab title="Cadastrar">
			<h:form id="form" enctype="multipart/form-data">
				<p:panel>
    			<p:toolbar id="tbOpcoes" style="margin-top: 20px">
					<p:toolbarGroup>
						<p:commandButton value="Salvar" id="botaoSalvar"
							action="#{condicaoPagamentoController.salvar}" style="background-color: #3C763D;"
							update="form growl tbOpcoes"
							rendered="#{condicaoPagamentoController.ativo}"
							process="@this :tabMeioPagamento:form:dadosCondicaoPagamento" />
						<p:commandButton value="Novo" id="botaoNovo" style="background-color: #3C8DBC;"
		    							 actionListener="#{condicaoPagamentoController.ativar}" 
		    							 rendered="#{!condicaoPagamentoController.ativo}"
		    							 update="tbOpcoes dadosCondicaoPagamento" process="@this"/>
		    							 
		    			<p:commandButton value="Cancelar" id="botaoCancelar" style="background-color: #FF0000;"
		    							 rendered="#{condicaoPagamentoController.ativo}"
		    							 actionListener="#{condicaoPagamentoController.desativar}"
		    							 update="tbOpcoes dadosCondicaoPagamento" process="@this">
		    				<p:resetInput target="dadosCondicaoPagamento" />
		    			</p:commandButton>
					</p:toolbarGroup>
				</p:toolbar>
				</p:panel> 
				
				<p:panel id="dados">
					<p:panelGrid columns="2" id="dadosCondicaoPagamento"
						style="padding-top: 10px;">
	
						<p:outputLabel value="Descrição da Condição: " />
						<p:outputLabel value="Regra da Condição: " />
						<p:inputText maxlength="80" size="80" disabled="#{!condicaoPagamentoController.ativo}"
							value="#{condicaoPagamentoController.condicaoPagamento.nomeCondicao}"
							placeholder="Informe o nome da condição, ex: 30 Dias ou Prazo 10 dias" />
						<p:inputText maxlength="80" size="80" disabled="#{!condicaoPagamentoController.ativo}"
							value="#{condicaoPagamentoController.condicaoPagamento.formulaCondicao}"
							placeholder="Informe a forma da condição, ex: 30/60/90 ou 15/45/60/75" />
					</p:panelGrid>
				</p:panel>
				
				<p:panel id="tabela">
					<p:dataTable id="tblCondicaoPagamento"
						emptyMessage="Nenhuma Condição Encontrado..." paginator="true"
						value="#{condicaoPagamentoController.listaCondicaoPagamento}"
						paginatorAlwaysVisible="true" paginatorPosition="bottom"
						style="margin-top: 20px" var="condPag" rows="4">
	
						<p:column headerText="Descrição" width="200">
							<h:outputText value="#{condPag.nomeCondicao}" />
						</p:column>
	
						<p:column headerText="Formula" width="200">
							<h:outputText value="#{condPag.formulaCondicao}" />
						</p:column>
	
						<p:column headerText="Ações" width="90">
							<p:commandButton icon="ui-icon-pencil" title="Editar"
								onclick="tabView.select(0); return false;">
								<f:attribute name="usuarioEditado" value="#{usuarios}" />
							</p:commandButton>
	
							<p:commandButton icon="ui-icon-trash" title="Excluir"
								actionListener="#{usuarioController.excluir}"
								update=":tabMeioPagamento:form:tblCondicaoPagamento growl">
								<p:confirm header="Confirmar" message="Desenja excluir a Condição?"
									icon="ui-icon-alert" />
								<f:attribute name="usuarioExcluido" value="#{usuarios}" />
							</p:commandButton>
						</p:column>
					</p:dataTable>
				</p:panel>
				<p:confirmDialog global="true">
					<p:commandButton value="Sim" type="button"
						styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
					<p:commandButton value="Nao" type="button"
						styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
				</p:confirmDialog>
			</h:form>
		</p:tab>
	</p:tabView>
</ui:composition>